Bug 672398 - (CVE-2011-0521) CVE-2011-0521 kernel: av7110 negative array offset
CVE-2011-0521 kernel: av7110 negative array offset
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110119,reported=20110125,sou...
: Security
Depends On: 672399 672400 672401 672402 672403 672404 672405
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-24 22:09 EST by Eugene Teo (Security Response)
Modified: 2015-07-31 02:36 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-01-24 22:09:36 EST
info->num comes from the user.  It's type int.  If the user passes in a negative value that would cause memory corruption.

Upstream commit:
http://git.kernel.org/linus/cb26a24ee9706473f31d34cc259f4dcf45cd0644

Introduced in bd403b67 (v2.6.2-rc1).
Comment 6 errata-xmlrpc 2011-02-16 10:15:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0263 https://rhn.redhat.com/errata/RHSA-2011-0263.html
Comment 7 errata-xmlrpc 2011-03-10 15:05:07 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html
Comment 8 errata-xmlrpc 2011-04-07 22:57:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html
Comment 9 errata-xmlrpc 2011-04-12 14:20:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0429 https://rhn.redhat.com/errata/RHSA-2011-0429.html

Note You need to log in before you can comment on or make changes to this bug.